package CS99;

/**
 * A class that contains methods to transform types
 */
public class TypeTransformer {

	/**
	 * Converts a string to an integer. If the string can't
	 * be converted, aborts execution with an error message.
	 * @param s The string to convert
	 * @return The integer contained in the string
	 */
	public static int stringToInt(String s) {
		try {
			return Integer.parseInt(s);
		} catch (NumberFormatException e) {
			Utility.abort("Unable to transform string to int: " + s);
			return 0;
		}	
	}

	/**
	 * Converts a string to a double. If the string can't
	 * be converted, aborts execution with an error message.
	 * @param s The string to convert
	 * @return The double contained in the string
	 */
	public static double stringToDouble(String s) {
		try {
			return Double.parseDouble(s);
		} catch (NumberFormatException e) {
			Utility.abort("Unable to transform string to double: " + s);
			return 0;
		}	
	}

}