package CS99;

/**
 * Utility routines for internal use in the CS99 package.
 */
class Utility {

	/**
	 * Unparse the exception to System.out and terminate abnormally
	 */
	static void abort(Exception e) {
		System.out.println();
		System.out.println("An internal error occured in the CS99 package.");
		System.out.println("The error was: " + e.getMessage());
		System.out.println("The stack trace was:");
		e.printStackTrace();
		System.out.println();
		System.out.println("Aborting execution!");
		System.exit(1);		// Non-zero exit code indicates error
	}

	/**
	 * Terminate abnormally
	 */
	static void abort() {
		System.out.println();
		System.out.println("An internal error occured in the CS99 package.");
		System.out.println();
		System.out.println("Aborting execution!");
		System.exit(1);		// Non-zero exit code indicates error
	}


	/**
	 * Terminate abnormally with an error message
	 */
	static void abort(String msg) {
		System.out.println();
		System.out.println("An internal error occured in the CS99 package.");
		System.out.println("The error was: " + msg);
		System.out.println();
		System.out.println("Aborting execution!");
		System.exit(1);		// Non-zero exit code indicates error
	}
	
}